var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { request } from "../graphql/request";
import { GetAllPieceTypesDocument, GetAtomicPieceTypesDocument, GetTargetViewTypesDocument, } from "../graphql";
export const fetchAllPieceTypes = () => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield request(GetAllPieceTypesDocument);
    return data.piece_type;
});
export const fetchAtomicPieceTypes = () => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield request(GetAtomicPieceTypesDocument);
    return data.piece_type;
});
export const fetchTargetViewTypes = () => __awaiter(void 0, void 0, void 0, function* () {
    const data = yield request(GetTargetViewTypesDocument);
    return data.target_view_type;
});
