import type { Map_Item, Morsel_Type, Piece, Piece_Type, Segment, Target_View_Type } from "./graphql";

export type TPieceType = Piece_Type;
export type TPieceData = Piece;
export type TPieceSpecification = {
  type: TPieceType;
  data: TPieceData;
};

export type TGistType = Target_View_Type;
export type TGistData = any;
export type TGistSpecification = {
  type: TGistType;
  data: TGistData;
};

export type TSpecification = TPieceSpecification | TGistSpecification;

export type TNode = {
  id: string;
}
type TBuilderType = string;
export type TSegmentation = {
  builderType: TBuilderType;
  nodes: TNode[];
}
type TMorselType = Morsel_Type;
type TMorselData = any;
type TMorsel = {
  type: TMorselType;
  data: TMorselData;
}
export type TBlueprint = {
  segmentation: TSegmentation;
  morsel: TMorsel;
}

export type TMapItem = Map_Item;
export type TPiece = Piece;
export type TSegment = Segment;
export type TParcelType = string;
export type TParcelData = any;
export type TParcel = {
  type: TParcelType;
  data: TParcelData;
}
